## EvSidebar

EvSidebar

## Functions

GtkWidget * | ev_sidebar_new ()
void | ev_sidebar_add_page ()
void | ev_sidebar_set_page ()
void | ev_sidebar_set_model ()

## Properties

GtkWidget * | current-page | Read / Write

## Types and Values

struct | EvSidebar
struct | EvSidebarClass
| EvSidebarPrivate

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── EvSidebar

## Implemented Interfaces

EvSidebar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### ev_sidebar_new ()

    GtkWidget *
    ev_sidebar_new (void);

### ev_sidebar_add_page ()

    void
    ev_sidebar_add_page (EvSidebar *ev_sidebar,
                         GtkWidget *main_widget);

### ev_sidebar_set_page ()

    void
    ev_sidebar_set_page (EvSidebar *ev_sidebar,
                         GtkWidget *main_widget);

### ev_sidebar_set_model ()

    void
    ev_sidebar_set_model (EvSidebar *sidebar,
                          EvDocumentModel *model);

## Types and Values

### struct EvSidebar

    struct EvSidebar;

### struct EvSidebarClass

    struct EvSidebarClass {
    	GtkVBoxClass base_class;
    };

### EvSidebarPrivate

    typedef struct _EvSidebarPrivate EvSidebarPrivate;

## Property Details

### The `“current-page”` property

      “current-page”             GtkWidget *

The currently visible page.

Flags: Read / Write